# OSGeo::FDO::Connections::Capabilities::IConnectionCapabilitiesImp Class Reference
[OSGeo::FDO::Connections::Capabilities]

Inheritance diagram for OSGeo::FDO::Connections::Capabilities::IConnectionCapabilitiesImp:

[legend]

List of all members.

## Detailed Description

The IConnectionCapabilities interface declares the feature provider's capabilities.

()

## Public Member Functions
__property OSGeo::FDO::Commands::Locking::LockType | get_LockTypes ()[]
| Gets an array of the LockType values supported by the feature provider.
__property OSGeo::FDO::Commands::SpatialContext::SpatialContextExtentType | get_SpatialContextTypes ()[]
| Gets the spatial context extent types supported by the feature provider.
__property OSGeo::FDO::Connections::Capabilities::ThreadCapability | get_ThreadCapability ()
| Gets an ThreadCapability value that declares the feature provider's level of thread safety.
System::Boolean | SupportsConfiguration ()
| Determines if the feature provider supports XML configuration.
System::Boolean | SupportsCSysWKTFromCSysName ()
| Determines if the provider supports specifying the coordinate system by name or ID without specifying the WKT when creating a new spatial context.
System::Boolean | SupportsFlush ()
| Determines if the provider can support the flush function. Flush is used to write any outstanding data to the datastore. This is mainly used by the file based providers to ensure that any cached data is writen to the file.
System::Boolean | SupportsLocking ()
| Determines if the feature provider supports persistent locking.
System::Boolean | SupportsLongTransactions ()
| Determines true if the feature provider supports long transactions.
System::Boolean | SupportsMultipleSpatialContexts ()
| Determines if the provider supports multiple spatial contexts.
System::Boolean | SupportsSQL ()
| Determines if the feature provider supports SQL commands.
System::Boolean | SupportsTimeout ()
| Determines if the feature provider supports connection timeout.
System::Boolean | SupportsTransactions ()
| Determines if the feature provider supports transactions.